import request from '@/utils/request'

// 查询优化建议规则设置列表
export function listOptimizationSuggestionRule (query) {
  return request({
    url: '/system/optimizationSuggestionRule/list',
    method: 'get',
    params: query
  })
}

// 查询优化建议规则设置详细
export function getOptimizationSuggestionRule () {
  return request({
    url: '/system/optimizationSuggestionRule',
    method: 'get'
  })
}

// 新增优化建议规则设置
export function addOptimizationSuggestionRule (data) {
  return request({
    url: '/system/optimizationSuggestionRule',
    method: 'post',
    data: data
  })
}

// 修改优化建议规则设置
export function updateOptimizationSuggestionRule (data) {
  return request({
    url: '/system/optimizationSuggestionRule',
    method: 'put',
    data: data
  })
}

// 删除优化建议规则设置
export function delOptimizationSuggestionRule (id) {
  return request({
    url: '/system/optimizationSuggestionRule/' + id,
    method: 'delete'
  })
}

// 导出优化建议规则设置
export function exportOptimizationSuggestionRule (query) {
  return request({
    url: '/system/optimizationSuggestionRule/export',
    method: 'get',
    params: query
  })
}
